org.codehaus.plexus.personality.plexus.lifecycle.phase

## Class StartingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.personality.plexus.lifecycle.phase.StartingException

All Implemented Interfaces:
  java.io.Serializable

    public class StartingException
    extends java.lang.Exception

Error occuring while starting a component.

Version:
  $Id: StartingException.java 6965 2007-10-21 05:32:27Z jvanzyl $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StartingException(java.lang.String message)`
`StartingException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StartingException

    public StartingException(java.lang.String message)

#### StartingException

    public StartingException(java.lang.String message,
                             java.lang.Throwable cause)